"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/**
 * A new instance of this class is instantiated on request. It is used to store temporary data needed for mapping results correctly.
 */
class Store {
    constructor() {
        /**
         * Store for primary keys
         *
         * Used for sub-resolvers that rely on arguments to be passed
         */
        this.keys = {};
        /**
         * An array of strings containing a list of resolvers
         *
         * Resolvers are removed from this array as they are completed
         */
        this.resolversToSendRequestsTo = [];
        // TODO: add desc
        this.resolversToBuild = [];
        // TODO: add desc
        this.templates = {};
        /**
         * Store for resolvers, their fields, any arguments and if they are a sub-resolver or not (have a parent resolver)
         */
        this.requestGroup = {};
        /**
         * Store for resolvers results - to be mapped to the return object
         */
        this.results = {};
    }
}
exports.default = Store;
//# sourceMappingURL=store.js.map